Skip to content
Last updated

API / geotoolkit / svg / SvgDataProvider / SvgDataProvider

Class: SvgDataProvider

svg.SvgDataProvider.SvgDataProvider

Default data provider for SVG application. Implements standard XMLHttpRequest to load data from the same server that the page was loaded

Table of contents

Constructors
  • [new SvgDataProvider(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.svg.svgdataprovider.svgdataprovider.md#new svgdataprovider(options))
Methods

Contents

Constructors

new SvgDataProvider(options)

• new SvgDataProvider(options?)

Parameters

Name Type
Optional optionsOptions
Methods

getClassName

▸ getClassName(): string

Returns

string


loadXmlData

▸ loadXmlData(path, cb): void

Loads the file accessible by the path parameter provided and passes it to callback

Parameters

Name Type Description
pathstringPath to the file on server, or url
cb(error: Error, data?: any) => voidCallback to call

Returns

void


getClassName

▸ Static getClassName(): string

Returns

string